Page MenuHomePhabricator

[ARM][MVE] Tail predicate VML[A|S]LDAV
ClosedPublic

Authored by samparker on Apr 7 2020, 7:11 AM.

Details

Summary

Make the non-exchanging versions of the multiply add/sub instructions validForTailPredication.

Diff Detail

Event Timeline

samparker created this revision.Apr 7 2020, 7:11 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 7 2020, 7:11 AM
yroux added a subscriber: yroux.Apr 8 2020, 1:11 AM
yroux added inline comments.
llvm/unittests/Target/ARM/MachineInstrTest.cpp
371

Maybe this comment can be updated, since some of these ops are allowed.

I think you said this morning that this is OK because we also mark them as horizontal, so do extra checks on them to make sure that the "off" lanes are all 0? Can you add a comment somewhere explaining that kind of thing?

samparker updated this revision to Diff 256201.Apr 8 2020, 11:52 PM

Added/updated comments.

yroux added a comment.Apr 9 2020, 4:44 AM

Ok thanks, LGTM

dmgreen accepted this revision.Apr 9 2020, 10:14 AM

Yep. Thanks

This revision is now accepted and ready to land.Apr 9 2020, 10:14 AM
This revision was automatically updated to reflect the committed changes.